List users
curl --request GET \
--url https://us-west-2.api.clumio.com/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://us-west-2.api.clumio.com/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us-west-2.api.clumio.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_embedded.items": [
{}
],
"_links": {},
"current_count": 123,
"total_count": 123
}Endpoints
List users
Return Clumio users visible in the selected organizational-unit context.
GET
/
users
List users
Returns a paginated list of Clumio users.
Errors return an
Headers
string
default:"application/api.clumio.users=v2+json"
Selects version 2 of the users resource.
string
UUID of the organizational unit in which to perform the request.
Query parameters
number
Maximum number of users returned on each page.
string
default:"1"
Page number. Pages are indexed from
1.string
JSON filter. Supported fields include
name, role_id, and organizational_unit_id.Response
object[]
Users returned on the current page.
object
HAL links for the current, first, last, next, and previous pages.
number
Number of users on the current page.
number
Total users across all pages.
{
"_embedded": {
"items": [
{
"id": "36",
"email": "[email protected]",
"full_name": "Clumian",
"is_confirmed": true,
"is_enabled": true
}
]
},
"current_count": 1,
"start": "1",
"total_count": 1,
"total_pages_count": 1
}
errors array containing error_code and error_message.